#include <bits/stdc++.h>
using namespace std;

string BuZ (long long int t, int n)
    {
        string b;
        for (int i=0; i<n; i++)
        {
            if (t%2==0){ b="("+b; }
            else { b=")"+b; }
            t/=2;
        }
        return b;

    }


int main ()
{
    int Q;
    cin >> Q;
    int N[Q],K[Q];
    long long int T[Q];

    for (int i=0; i<Q; i++)
    {
        cin >> N[i] >> K[i] >> T[i];

    }

    for (int i=0; i<Q; i++)
    {
        if ((((N[i]%2==0) && (K[i]%2==1))  ||   ((N[i]%2==1) && (K[i]%2==0) && (K[i]!=0))))
        {cout << "Ne postoji"; continue;}

        if (T[i]>pow(2,N[i]))
        {cout << "Ne postoji"; continue; }

        if (N[i]==K[i])  //TMAX JE 2^K, tacnost sekvence nije bitna
        {cout << BuZ(T[i]-1,N[i]);}

    }


    return 0;
}